## WebKitDOMFile

WebKitDOMFile

## Functions

gchar * | webkit_dom_file_get_name ()
gchar * | webkit_dom_file_get_webkit_relative_path ()

## Properties

gchar * | name | Read
gchar * | webkit-relative-path | Read

## Types and Values

| WebKitDOMFile

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMBlob
                ╰── WebKitDOMFile

## Description

## Functions

### webkit_dom_file_get_name ()

    gchar *
    webkit_dom_file_get_name (WebKitDOMFile *self);

#### Parameters

self | A WebKitDOMFile |

#### Returns

A gchar

### webkit_dom_file_get_webkit_relative_path ()

    gchar *
    webkit_dom_file_get_webkit_relative_path
                                   (WebKitDOMFile *self);

#### Parameters

self | A WebKitDOMFile |

#### Returns

A gchar

## Types and Values

### WebKitDOMFile

    typedef struct _WebKitDOMFile WebKitDOMFile;

## Property Details

### The `“name”` property

      “name”                     gchar *

read-only gchar* File:name.

Flags: Read

Default value: ""

### The `“webkit-relative-path”` property

      “webkit-relative-path”     gchar *

read-only gchar* File:webkit-relative-path.

Flags: Read

Default value: ""